Update governance action
PATCH
/governance/actions/{id}
const url = 'https://shoehorn.example.com/api/v1/governance/actions/example';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"status":"open","priority":"critical","assigned_to":"example","resolution_notes":"example","due_date":"2026-04-15"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://shoehorn.example.com/api/v1/governance/actions/example \ --header 'Content-Type: application/json' \ --data '{ "status": "open", "priority": "critical", "assigned_to": "example", "resolution_notes": "example", "due_date": "2026-04-15" }'Update status, priority, assignee, or add notes.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
status
string
priority
string
assigned_to
string
resolution_notes
string
due_date
string format: date
Responses
Section titled “ Responses ”Action updated